> For the complete documentation index, see [llms.txt](https://developer.vario-software.de/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developer.vario-software.de/api-reference/finance-booking.md).

# Finance Booking

Manage finance booking runs in VARIO Cloud via API, including ledger assignments, validation, commits, reversals and booking record checks.

the FinanceAccount API

## POST /erp/finance/booking/{id}/set-ledger-assignment/{recordId}

>

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.42.0"},"tags":[{"name":"FinanceBooking","description":"the FinanceAccount API"}],"servers":[{"url":"api.example.com"}],"paths":{"/erp/finance/booking/{id}/set-ledger-assignment/{recordId}":{"post":{"tags":["FinanceBooking"],"operationId":"setLedgerForRecord","parameters":[{"name":"id","in":"path","description":"id of booking run","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"recordId","in":"path","description":"id of booking record","required":true,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/erp-finance-LedgerForSingleRecordRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/erp-finance-FinanceBookingRecord"}}}}}}}},"components":{"schemas":{"erp-finance-LedgerForSingleRecordRequest":{"properties":{"ledger":{"type":"string","description":"New ledger account."},"transactionKey":{"type":"string","description":"New transaction key."},"description":{"type":"string","description":"Booking text."},"costCenter1":{"type":"string","description":"Cost center 1."}}},"erp-finance-FinanceBookingRecord":{"properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"recordNumber":{"type":"integer","format":"int64","description":"Entry number."},"recordType":{"type":"string","description":"Debit and credit indicator.","enum":["DEBIT","CREDIT"]},"ledger":{"type":"string","description":"Ledger account."},"transactionKey":{"type":"string","description":"Transaction key."},"ledgerType":{"type":"string","description":"Account indicator.","enum":["PERSONAL_LEDGER","GENERAL_LEDGER"]},"amountGross":{"type":"number","description":"Gross amount."},"amountNet":{"type":"number","description":"Net amount."},"recordDate":{"type":"string","format":"date","description":"Booking date."},"performanceDate":{"type":"string","format":"date","description":"Performance date."},"documentField1":{"type":"string","description":"Document field 1."},"documentField2":{"type":"string","description":"Document field 2."},"description":{"type":"string","description":"Booking text."},"costCenter1":{"type":"string","description":"Cost center 1."},"comment":{"type":"array","description":"Note.","items":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"}},"debugInfo":{"type":"string","description":"Debug Info"},"taxState":{"type":"string","description":"Tax type.","enum":["TAX_FREE","TAX_ABLE"]},"taxPerformanceLocation":{"type":"string","description":"Place of performance.","enum":["DOMESTIC","EUROPEAN_COMMUNITY","INTERNATIONAL"]},"sourceCountryCode":{"type":"string","description":"From the country."},"performanceCountryCode":{"type":"string","description":"To the country."},"currencyCode":{"type":"string","description":"Currency."},"exchangeRate":{"type":"number","description":"Exchange rate."},"baseCurrencyCode":{"type":"string","description":"Base currency."},"baseAmountGross":{"type":"number","description":"Gross amount in base currency."},"baseAmountNet":{"type":"number","description":"Net amount in base currency."},"taxRateRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"taxIdentificationNumber":{"type":"string","description":"VAT identification number."},"paymentMethodRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"bookingState":{"type":"string","description":"Booking status.","enum":["OK","IGNORED","ERR_NO_LEDGER_ASSIGNMENT","ERR_INVALID_LEDGER_ASSIGNMENT","ERR_DOCUMENT_NOT_FOUND","ERR_CASH_JOURNAL_NOT_FOUND","ERR_OPEN_ITEM_RECORD_NOT_FOUND","ERR_CURRENCY_NOT_FOUND","ERR_EXCHANGE_RATE_NOT_FOUND","ERR_OPEN_ITEM_NOT_FOUND","ERR_BANK_TRANSACTION_NOT_FOUND","ERR_MANUAL_ENTRY_NOT_FOUND","ERR_DUNNING_NOT_FOUND","ERR_NO_ARTICLE_FOUND","ERR_NO_PERFORMANCE_COUNTRY_FOUND","ERR_NO_PERFORMANCE_LOCATION_FOUND","ERR_NO_SOURCE_COUNTRY_FOUND"]},"taxLiabilityReversedState":{"type":"string","description":"§13b state.","enum":["IGNORE","REVERSED","NOT_REVERSED"]},"sourceTaxRate":{"type":"number","description":"Tax percentage origin."},"performanceTaxRate":{"type":"number","description":"Tax percentage determination."},"accountingType":{"type":"string","description":"Journal type.","enum":["SALES_INVOICE","SALES_CREDIT_NOTE","PURCHASE_INVOICE","PURCHASE_CREDIT_NOTE","PAYMENT","PAYMENT_REVERSAL","PREPAYMENT_TAX","PREPAYMENT_TAX_SETTLEMENT","PREPAYMENT_DOCUMENTNUMBER_SETTLEMENT","MANUAL_JOURNAL","DUNNING","OPEN_ITEM_CLOSURE","DUNNING_CHARGE_MANUAL","DUNNING_CHARGE_MANUAL_REVERSAL","FINANCIAL_SETTLEMENT","DUNNING_REVERSAL","SALES_INVOICE_CANCELLATION","SALES_CREDIT_NOTE_CANCELLATION","COMMISSION_SETTLEMENT","COMMISSION_SETTLEMENT_CANCELLATION","NOT_RELEVANT_FOR_BUSINESS","DISCOUNT_GRANTED","DISCOUNT_RECEIVED","FEE","BANK_TRANSACTION","BANK_TRANSACTION_REVERSAL","POS_CASH_JOURNAL_OPENING","POS_CASH_JOURNAL_CLOSING","POS_CASH_JOURNAL_DEPOSIT","POS_CASH_JOURNAL_EXPENSE","POS_CASH_JOURNAL_WITHDRAWAL","POS_CASH_JOURNAL_DEPOSIT_CANCELLATION","POS_CASH_JOURNAL_EXPENSE_CANCELLATION","POS_CASH_JOURNAL_WITHDRAWAL_CANCELLATION","POS_RECEIPT","POS_RETURN_RECEIPT"]},"accountingRefId":{"type":"integer","format":"int64","description":"Booking reference."},"accountingRef1":{"$ref":"#/components/schemas/erp-finance-FinanceBookingReference"},"accountingRef2":{"$ref":"#/components/schemas/erp-finance-FinanceBookingReference"},"accountingRef3":{"$ref":"#/components/schemas/erp-finance-FinanceBookingReference"}}},"core-api-MetaInfo":{"description":"MetaInformations for this Object","properties":{"createdAt":{"type":"string","format":"date-time","description":"Created At Timestamp","readOnly":true},"createdFrom":{"type":"string","description":"TenantUser-Identifier of the creator","readOnly":true},"updatedAt":{"type":"string","format":"date-time","description":"Last Updated AT Timestamp","readOnly":true},"updatedFrom":{"type":"string","description":"TenantUser-Identifier of most recent updater","readOnly":true}}},"core-api-LocalizeableMessage":{"description":"localizeable message","properties":{"messageCode":{"type":"string","description":"Internal unique identifier/key for this message"},"messageParameters":{"type":"object","additionalProperties":{"type":"object","description":"list of parameters to fill a formattable message"},"description":"list of parameters to fill a formattable message"},"formattedMessage":{"type":"string","description":"formatted message (default language)"}}},"core-api-ApiObjectReference":{"description":"Parent category.","properties":{"id":{"type":"string","description":"Identifier"},"label":{"type":"string","description":"a label","readOnly":true},"description":{"type":"string","description":"a short description","readOnly":true},"active":{"type":"boolean","description":"Active.","readOnly":true}},"required":["id"]},"erp-finance-FinanceBookingReference":{"description":"Finance booking references.","properties":{"id":{"type":"integer","format":"int64","description":"Reference identifier."},"type":{"type":"string","description":"Reference type.","enum":["DOCUMENT","DOCUMENT_LINE","DOCUMENT_TAX","OPEN_ITEM","OPEN_ITEM_RECORD","TAX_RATE","DUNNING","DUNNING_POSITION","BANK_TRANSACTION","MANUAL_ENTRY"]},"label":{"type":"string","description":"Reference label."}}}}}}
```

## POST /erp/finance/booking/{id}/revert

>

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.42.0"},"tags":[{"name":"FinanceBooking","description":"the FinanceAccount API"}],"servers":[{"url":"api.example.com"}],"paths":{"/erp/finance/booking/{id}/revert":{"post":{"tags":["FinanceBooking"],"operationId":"revertById_1","parameters":[{"name":"id","in":"path","description":"id of booking run","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/erp-finance-FinanceBookingRun"}}}}}}}},"components":{"schemas":{"erp-finance-FinanceBookingRun":{"properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"runState":{"type":"string","description":"Processing state.","enum":["PROCESSING","OPEN","COMMITTABLE","COMMITTED","REVERTED","FAILED"],"readOnly":true},"dateFrom":{"type":"string","format":"date","description":"Request date from","readOnly":true},"dateTo":{"type":"string","format":"date","description":"Request date to","readOnly":true},"files":{"type":"array","description":"export files","items":{"$ref":"#/components/schemas/erp-finance-FinanceBookingExportFile"},"readOnly":true},"persons":{"type":"array","description":"persons","items":{"$ref":"#/components/schemas/erp-finance-FinanceBookingRunPerson"},"readOnly":true},"stateSummary":{"type":"array","description":"booking cases per state","items":{"$ref":"#/components/schemas/erp-finance-FinanceBookingStateSummary"},"readOnly":true},"exportTypes":{"type":"array","description":"Request Types for this run","items":{"type":"string","description":"Request Types for this run","enum":["SALES_DOCUMENTS","PURCHASE_DOCUMENTS","FINANCE_BOOKINGS","FINANCE_MANAGEMENT","POS","PREPAYMENT"]},"readOnly":true},"bankAccountRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"salesChannelRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"financeBookingBackendRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"}}},"core-api-MetaInfo":{"description":"MetaInformations for this Object","properties":{"createdAt":{"type":"string","format":"date-time","description":"Created At Timestamp","readOnly":true},"createdFrom":{"type":"string","description":"TenantUser-Identifier of the creator","readOnly":true},"updatedAt":{"type":"string","format":"date-time","description":"Last Updated AT Timestamp","readOnly":true},"updatedFrom":{"type":"string","description":"TenantUser-Identifier of most recent updater","readOnly":true}}},"erp-finance-FinanceBookingExportFile":{"description":"export files","properties":{"shelfDocumentId":{"type":"integer","format":"int64","description":"Shelf Document ID"},"description":{"type":"string","description":"Description."},"comment":{"type":"array","description":"Note.","items":{"$ref":"#/components/schemas/erp-finance-BookingResultLineComment"}}}},"erp-finance-BookingResultLineComment":{"description":"Note.","properties":{"lineNumber":{"type":"integer","format":"int32","description":"Original comment line (starting at 0)."},"position":{"type":"integer","format":"int32","description":"Comment field in the line (starting at 0)."},"message":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"}}},"core-api-LocalizeableMessage":{"description":"localizeable message","properties":{"messageCode":{"type":"string","description":"Internal unique identifier/key for this message"},"messageParameters":{"type":"object","additionalProperties":{"type":"object","description":"list of parameters to fill a formattable message"},"description":"list of parameters to fill a formattable message"},"formattedMessage":{"type":"string","description":"formatted message (default language)"}}},"erp-finance-FinanceBookingRunPerson":{"description":"persons","properties":{"accountRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"recordType":{"type":"string","description":"record Type","enum":["DEBIT","CREDIT"]},"accountNumber":{"type":"string","description":"account number / ledger"}}},"core-api-ApiObjectReference":{"description":"Parent category.","properties":{"id":{"type":"string","description":"Identifier"},"label":{"type":"string","description":"a label","readOnly":true},"description":{"type":"string","description":"a short description","readOnly":true},"active":{"type":"boolean","description":"Active.","readOnly":true}},"required":["id"]},"erp-finance-FinanceBookingStateSummary":{"description":"booking cases per state","properties":{"state":{"type":"string","description":"Booking status.","enum":["OK","IGNORED","ERR_NO_LEDGER_ASSIGNMENT","ERR_INVALID_LEDGER_ASSIGNMENT","ERR_DOCUMENT_NOT_FOUND","ERR_CASH_JOURNAL_NOT_FOUND","ERR_OPEN_ITEM_RECORD_NOT_FOUND","ERR_CURRENCY_NOT_FOUND","ERR_EXCHANGE_RATE_NOT_FOUND","ERR_OPEN_ITEM_NOT_FOUND","ERR_BANK_TRANSACTION_NOT_FOUND","ERR_MANUAL_ENTRY_NOT_FOUND","ERR_DUNNING_NOT_FOUND","ERR_NO_ARTICLE_FOUND","ERR_NO_PERFORMANCE_COUNTRY_FOUND","ERR_NO_PERFORMANCE_LOCATION_FOUND","ERR_NO_SOURCE_COUNTRY_FOUND"]},"count":{"type":"integer","format":"int64","description":"count of booking cases"}}}}}}
```

## POST /erp/finance/booking/{id}/create-missing-ledger-assignments

>

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.42.0"},"tags":[{"name":"FinanceBooking","description":"the FinanceAccount API"}],"servers":[{"url":"api.example.com"}],"paths":{"/erp/finance/booking/{id}/create-missing-ledger-assignments":{"post":{"tags":["FinanceBooking"],"operationId":"setLedgersForEmptyRecords","parameters":[{"name":"id","in":"path","description":"id of booking run","required":true,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/erp-finance-LedgerForMissingRecordsRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/erp-finance-FinanceBookingRun"}}}}}}}},"components":{"schemas":{"erp-finance-LedgerForMissingRecordsRequest":{"properties":{"ledger":{"type":"string","description":"New ledger account."},"transactionKey":{"type":"string","description":"New transaction key."},"description":{"type":"string","description":"Booking text."},"costCenter1":{"type":"string","description":"Cost center 1."},"ledgerAssignment":{"$ref":"#/components/schemas/erp-finance-LedgerAssignment"},"createLedgerAssignment":{"type":"boolean","description":"Create a ledger assignment rule for this combination."}}},"erp-finance-LedgerAssignment":{"properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"assignmentType":{"type":"string","description":"Assignment Type","enum":["SALES_POSITION_LEDGER","PURCHASE_POSITION_LEDGER","COMMISSION_POSITION_LEDGER","BANK_LEDGER","RECEIVABLE_DUNNING_FEE_LEDGER","RECEIVABLE_DUNNING_INTEREST_LEDGER","PAYABLE_DUNNING_FEE_LEDGER","PAYABLE_DUNNING_INTEREST_LEDGER","OPEN_ITEM_MANUAL_CLOSURE","SALES_PREPAYMENT_TAX_LEDGER","SALES_PREPAYMENT_TAX_INTERIM_LEDGER","SALES_PREPAYMENT_DOCUMENTFIELD1_INTERIM_LEDGER","FINANCIAL_SETTLEMENT_LEDGER","LEDGER_NOT_RELEVANT_FOR_BUSINESS","PAYMENT_FEE_LEDGER","DISCOUNT_GRANTED","DISCOUNT_RECEIVED","BANK_TRANSACTION","VOUCHER_LIABILITY_LEDGER","VOUCHER_DISCOUNT_LEDGER","POS_PAYMENT_LEDGER","POS_INTERIM_LEDGER","CASH_JOURNAL_BALANCE_DIFFERENCE","POS_DEPOSIT_EXPENSE"]},"productGroup":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"article":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"validFrom":{"type":"string","format":"date","description":"Valid From"},"validUntil":{"type":"string","format":"date","description":"Valid Until"},"taxRate":{"type":"number","description":"Tax Rate"},"taxState":{"type":"string","description":"Tax State","enum":["TAX_FREE","TAX_ABLE"]},"taxPerformanceLocation":{"type":"string","description":"Tax Performance Location","enum":["DOMESTIC","EUROPEAN_COMMUNITY","INTERNATIONAL"]},"sourceCountry":{"type":"string","description":"Source Country of performance"},"performanceCountry":{"type":"string","description":"Performance country"},"accountNumber":{"type":"string","description":"Resulting Account Number / Ledger","maxLength":20},"transactionKey":{"type":"string","description":"Resulting Transaction Key","maxLength":4},"comment":{"type":"string","description":"User comment"},"costCenter1":{"type":"string","description":"Cost center 1"},"taxLiabilityReversedState":{"type":"string","description":"Tax Liability Reverse Charge State","enum":["IGNORE","REVERSED","NOT_REVERSED"]},"manualClosureOrigin":{"type":"string","default":"IGNORE","description":"Origin of the open item closing this ledger assignment applies to.","enum":["MANUAL","AUTOMATIC","IGNORE"]},"bookingAccountType":{"type":"string","description":"Booking account type (debtor or creditor) of the open item this ledger assignment applies to; empty means any.","enum":["CUSTOMER","SUPPLIER"]},"bankAccountRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"salesChannelRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"posRegisterRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"posPaymentMethodRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"posDepositExpenseTypeRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"voucherTypeRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"businessTransactionRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"suppressBookings":{"type":"boolean","default":false,"description":"Suppress the bookings."},"description":{"type":"string","description":"Booking text."}},"required":["assignmentType","taxPerformanceLocation"]},"core-api-MetaInfo":{"description":"MetaInformations for this Object","properties":{"createdAt":{"type":"string","format":"date-time","description":"Created At Timestamp","readOnly":true},"createdFrom":{"type":"string","description":"TenantUser-Identifier of the creator","readOnly":true},"updatedAt":{"type":"string","format":"date-time","description":"Last Updated AT Timestamp","readOnly":true},"updatedFrom":{"type":"string","description":"TenantUser-Identifier of most recent updater","readOnly":true}}},"core-api-ApiObjectReference":{"description":"Parent category.","properties":{"id":{"type":"string","description":"Identifier"},"label":{"type":"string","description":"a label","readOnly":true},"description":{"type":"string","description":"a short description","readOnly":true},"active":{"type":"boolean","description":"Active.","readOnly":true}},"required":["id"]},"erp-finance-FinanceBookingRun":{"properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"runState":{"type":"string","description":"Processing state.","enum":["PROCESSING","OPEN","COMMITTABLE","COMMITTED","REVERTED","FAILED"],"readOnly":true},"dateFrom":{"type":"string","format":"date","description":"Request date from","readOnly":true},"dateTo":{"type":"string","format":"date","description":"Request date to","readOnly":true},"files":{"type":"array","description":"export files","items":{"$ref":"#/components/schemas/erp-finance-FinanceBookingExportFile"},"readOnly":true},"persons":{"type":"array","description":"persons","items":{"$ref":"#/components/schemas/erp-finance-FinanceBookingRunPerson"},"readOnly":true},"stateSummary":{"type":"array","description":"booking cases per state","items":{"$ref":"#/components/schemas/erp-finance-FinanceBookingStateSummary"},"readOnly":true},"exportTypes":{"type":"array","description":"Request Types for this run","items":{"type":"string","description":"Request Types for this run","enum":["SALES_DOCUMENTS","PURCHASE_DOCUMENTS","FINANCE_BOOKINGS","FINANCE_MANAGEMENT","POS","PREPAYMENT"]},"readOnly":true},"bankAccountRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"salesChannelRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"financeBookingBackendRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"}}},"erp-finance-FinanceBookingExportFile":{"description":"export files","properties":{"shelfDocumentId":{"type":"integer","format":"int64","description":"Shelf Document ID"},"description":{"type":"string","description":"Description."},"comment":{"type":"array","description":"Note.","items":{"$ref":"#/components/schemas/erp-finance-BookingResultLineComment"}}}},"erp-finance-BookingResultLineComment":{"description":"Note.","properties":{"lineNumber":{"type":"integer","format":"int32","description":"Original comment line (starting at 0)."},"position":{"type":"integer","format":"int32","description":"Comment field in the line (starting at 0)."},"message":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"}}},"core-api-LocalizeableMessage":{"description":"localizeable message","properties":{"messageCode":{"type":"string","description":"Internal unique identifier/key for this message"},"messageParameters":{"type":"object","additionalProperties":{"type":"object","description":"list of parameters to fill a formattable message"},"description":"list of parameters to fill a formattable message"},"formattedMessage":{"type":"string","description":"formatted message (default language)"}}},"erp-finance-FinanceBookingRunPerson":{"description":"persons","properties":{"accountRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"recordType":{"type":"string","description":"record Type","enum":["DEBIT","CREDIT"]},"accountNumber":{"type":"string","description":"account number / ledger"}}},"erp-finance-FinanceBookingStateSummary":{"description":"booking cases per state","properties":{"state":{"type":"string","description":"Booking status.","enum":["OK","IGNORED","ERR_NO_LEDGER_ASSIGNMENT","ERR_INVALID_LEDGER_ASSIGNMENT","ERR_DOCUMENT_NOT_FOUND","ERR_CASH_JOURNAL_NOT_FOUND","ERR_OPEN_ITEM_RECORD_NOT_FOUND","ERR_CURRENCY_NOT_FOUND","ERR_EXCHANGE_RATE_NOT_FOUND","ERR_OPEN_ITEM_NOT_FOUND","ERR_BANK_TRANSACTION_NOT_FOUND","ERR_MANUAL_ENTRY_NOT_FOUND","ERR_DUNNING_NOT_FOUND","ERR_NO_ARTICLE_FOUND","ERR_NO_PERFORMANCE_COUNTRY_FOUND","ERR_NO_PERFORMANCE_LOCATION_FOUND","ERR_NO_SOURCE_COUNTRY_FOUND"]},"count":{"type":"integer","format":"int64","description":"count of booking cases"}}}}}}
```

## POST /erp/finance/booking/{id}/committable

>

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.42.0"},"tags":[{"name":"FinanceBooking","description":"the FinanceAccount API"}],"servers":[{"url":"api.example.com"}],"paths":{"/erp/finance/booking/{id}/committable":{"post":{"tags":["FinanceBooking"],"operationId":"committableById","parameters":[{"name":"id","in":"path","description":"id of booking run","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/erp-finance-FinanceBookingRun"}}}}}}}},"components":{"schemas":{"erp-finance-FinanceBookingRun":{"properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"runState":{"type":"string","description":"Processing state.","enum":["PROCESSING","OPEN","COMMITTABLE","COMMITTED","REVERTED","FAILED"],"readOnly":true},"dateFrom":{"type":"string","format":"date","description":"Request date from","readOnly":true},"dateTo":{"type":"string","format":"date","description":"Request date to","readOnly":true},"files":{"type":"array","description":"export files","items":{"$ref":"#/components/schemas/erp-finance-FinanceBookingExportFile"},"readOnly":true},"persons":{"type":"array","description":"persons","items":{"$ref":"#/components/schemas/erp-finance-FinanceBookingRunPerson"},"readOnly":true},"stateSummary":{"type":"array","description":"booking cases per state","items":{"$ref":"#/components/schemas/erp-finance-FinanceBookingStateSummary"},"readOnly":true},"exportTypes":{"type":"array","description":"Request Types for this run","items":{"type":"string","description":"Request Types for this run","enum":["SALES_DOCUMENTS","PURCHASE_DOCUMENTS","FINANCE_BOOKINGS","FINANCE_MANAGEMENT","POS","PREPAYMENT"]},"readOnly":true},"bankAccountRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"salesChannelRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"financeBookingBackendRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"}}},"core-api-MetaInfo":{"description":"MetaInformations for this Object","properties":{"createdAt":{"type":"string","format":"date-time","description":"Created At Timestamp","readOnly":true},"createdFrom":{"type":"string","description":"TenantUser-Identifier of the creator","readOnly":true},"updatedAt":{"type":"string","format":"date-time","description":"Last Updated AT Timestamp","readOnly":true},"updatedFrom":{"type":"string","description":"TenantUser-Identifier of most recent updater","readOnly":true}}},"erp-finance-FinanceBookingExportFile":{"description":"export files","properties":{"shelfDocumentId":{"type":"integer","format":"int64","description":"Shelf Document ID"},"description":{"type":"string","description":"Description."},"comment":{"type":"array","description":"Note.","items":{"$ref":"#/components/schemas/erp-finance-BookingResultLineComment"}}}},"erp-finance-BookingResultLineComment":{"description":"Note.","properties":{"lineNumber":{"type":"integer","format":"int32","description":"Original comment line (starting at 0)."},"position":{"type":"integer","format":"int32","description":"Comment field in the line (starting at 0)."},"message":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"}}},"core-api-LocalizeableMessage":{"description":"localizeable message","properties":{"messageCode":{"type":"string","description":"Internal unique identifier/key for this message"},"messageParameters":{"type":"object","additionalProperties":{"type":"object","description":"list of parameters to fill a formattable message"},"description":"list of parameters to fill a formattable message"},"formattedMessage":{"type":"string","description":"formatted message (default language)"}}},"erp-finance-FinanceBookingRunPerson":{"description":"persons","properties":{"accountRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"recordType":{"type":"string","description":"record Type","enum":["DEBIT","CREDIT"]},"accountNumber":{"type":"string","description":"account number / ledger"}}},"core-api-ApiObjectReference":{"description":"Parent category.","properties":{"id":{"type":"string","description":"Identifier"},"label":{"type":"string","description":"a label","readOnly":true},"description":{"type":"string","description":"a short description","readOnly":true},"active":{"type":"boolean","description":"Active.","readOnly":true}},"required":["id"]},"erp-finance-FinanceBookingStateSummary":{"description":"booking cases per state","properties":{"state":{"type":"string","description":"Booking status.","enum":["OK","IGNORED","ERR_NO_LEDGER_ASSIGNMENT","ERR_INVALID_LEDGER_ASSIGNMENT","ERR_DOCUMENT_NOT_FOUND","ERR_CASH_JOURNAL_NOT_FOUND","ERR_OPEN_ITEM_RECORD_NOT_FOUND","ERR_CURRENCY_NOT_FOUND","ERR_EXCHANGE_RATE_NOT_FOUND","ERR_OPEN_ITEM_NOT_FOUND","ERR_BANK_TRANSACTION_NOT_FOUND","ERR_MANUAL_ENTRY_NOT_FOUND","ERR_DUNNING_NOT_FOUND","ERR_NO_ARTICLE_FOUND","ERR_NO_PERFORMANCE_COUNTRY_FOUND","ERR_NO_PERFORMANCE_LOCATION_FOUND","ERR_NO_SOURCE_COUNTRY_FOUND"]},"count":{"type":"integer","format":"int64","description":"count of booking cases"}}}}}}
```

## POST /erp/finance/booking/{id}/commit

>

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.42.0"},"tags":[{"name":"FinanceBooking","description":"the FinanceAccount API"}],"servers":[{"url":"api.example.com"}],"paths":{"/erp/finance/booking/{id}/commit":{"post":{"tags":["FinanceBooking"],"operationId":"commitById_1","parameters":[{"name":"id","in":"path","description":"id of booking run","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/erp-finance-FinanceBookingRun"}}}}}}}},"components":{"schemas":{"erp-finance-FinanceBookingRun":{"properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"runState":{"type":"string","description":"Processing state.","enum":["PROCESSING","OPEN","COMMITTABLE","COMMITTED","REVERTED","FAILED"],"readOnly":true},"dateFrom":{"type":"string","format":"date","description":"Request date from","readOnly":true},"dateTo":{"type":"string","format":"date","description":"Request date to","readOnly":true},"files":{"type":"array","description":"export files","items":{"$ref":"#/components/schemas/erp-finance-FinanceBookingExportFile"},"readOnly":true},"persons":{"type":"array","description":"persons","items":{"$ref":"#/components/schemas/erp-finance-FinanceBookingRunPerson"},"readOnly":true},"stateSummary":{"type":"array","description":"booking cases per state","items":{"$ref":"#/components/schemas/erp-finance-FinanceBookingStateSummary"},"readOnly":true},"exportTypes":{"type":"array","description":"Request Types for this run","items":{"type":"string","description":"Request Types for this run","enum":["SALES_DOCUMENTS","PURCHASE_DOCUMENTS","FINANCE_BOOKINGS","FINANCE_MANAGEMENT","POS","PREPAYMENT"]},"readOnly":true},"bankAccountRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"salesChannelRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"financeBookingBackendRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"}}},"core-api-MetaInfo":{"description":"MetaInformations for this Object","properties":{"createdAt":{"type":"string","format":"date-time","description":"Created At Timestamp","readOnly":true},"createdFrom":{"type":"string","description":"TenantUser-Identifier of the creator","readOnly":true},"updatedAt":{"type":"string","format":"date-time","description":"Last Updated AT Timestamp","readOnly":true},"updatedFrom":{"type":"string","description":"TenantUser-Identifier of most recent updater","readOnly":true}}},"erp-finance-FinanceBookingExportFile":{"description":"export files","properties":{"shelfDocumentId":{"type":"integer","format":"int64","description":"Shelf Document ID"},"description":{"type":"string","description":"Description."},"comment":{"type":"array","description":"Note.","items":{"$ref":"#/components/schemas/erp-finance-BookingResultLineComment"}}}},"erp-finance-BookingResultLineComment":{"description":"Note.","properties":{"lineNumber":{"type":"integer","format":"int32","description":"Original comment line (starting at 0)."},"position":{"type":"integer","format":"int32","description":"Comment field in the line (starting at 0)."},"message":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"}}},"core-api-LocalizeableMessage":{"description":"localizeable message","properties":{"messageCode":{"type":"string","description":"Internal unique identifier/key for this message"},"messageParameters":{"type":"object","additionalProperties":{"type":"object","description":"list of parameters to fill a formattable message"},"description":"list of parameters to fill a formattable message"},"formattedMessage":{"type":"string","description":"formatted message (default language)"}}},"erp-finance-FinanceBookingRunPerson":{"description":"persons","properties":{"accountRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"recordType":{"type":"string","description":"record Type","enum":["DEBIT","CREDIT"]},"accountNumber":{"type":"string","description":"account number / ledger"}}},"core-api-ApiObjectReference":{"description":"Parent category.","properties":{"id":{"type":"string","description":"Identifier"},"label":{"type":"string","description":"a label","readOnly":true},"description":{"type":"string","description":"a short description","readOnly":true},"active":{"type":"boolean","description":"Active.","readOnly":true}},"required":["id"]},"erp-finance-FinanceBookingStateSummary":{"description":"booking cases per state","properties":{"state":{"type":"string","description":"Booking status.","enum":["OK","IGNORED","ERR_NO_LEDGER_ASSIGNMENT","ERR_INVALID_LEDGER_ASSIGNMENT","ERR_DOCUMENT_NOT_FOUND","ERR_CASH_JOURNAL_NOT_FOUND","ERR_OPEN_ITEM_RECORD_NOT_FOUND","ERR_CURRENCY_NOT_FOUND","ERR_EXCHANGE_RATE_NOT_FOUND","ERR_OPEN_ITEM_NOT_FOUND","ERR_BANK_TRANSACTION_NOT_FOUND","ERR_MANUAL_ENTRY_NOT_FOUND","ERR_DUNNING_NOT_FOUND","ERR_NO_ARTICLE_FOUND","ERR_NO_PERFORMANCE_COUNTRY_FOUND","ERR_NO_PERFORMANCE_LOCATION_FOUND","ERR_NO_SOURCE_COUNTRY_FOUND"]},"count":{"type":"integer","format":"int64","description":"count of booking cases"}}}}}}
```

## POST /erp/finance/booking/singlerun

>

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.42.0"},"tags":[{"name":"FinanceBooking","description":"the FinanceAccount API"}],"servers":[{"url":"api.example.com"}],"paths":{"/erp/finance/booking/singlerun":{"post":{"tags":["FinanceBooking"],"operationId":"startRun_2","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/erp-finance-BookingRunRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/core-api-OperationMessage"}}}}}}}},"components":{"schemas":{"erp-finance-BookingRunRequest":{"properties":{"dateFrom":{"type":"string","format":"date","description":"Date from."},"dateTo":{"type":"string","format":"date","description":"Date to."},"exportTypes":{"type":"array","description":"Export-Typen","items":{"type":"string","description":"Export-Typen","enum":["SALES_DOCUMENTS","PURCHASE_DOCUMENTS","FINANCE_BOOKINGS","FINANCE_MANAGEMENT","POS","PREPAYMENT"]}},"bankAccountRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"salesChannelRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"}}},"core-api-ApiObjectReference":{"description":"Parent category.","properties":{"id":{"type":"string","description":"Identifier"},"label":{"type":"string","description":"a label","readOnly":true},"description":{"type":"string","description":"a short description","readOnly":true},"active":{"type":"boolean","description":"Active.","readOnly":true}},"required":["id"]},"core-api-OperationMessage":{"properties":{"context":{"type":"string","description":"message context"},"messageValue":{"type":"string","description":" message"}}}}}}
```

## GET /erp/finance/booking/{id}

>

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.42.0"},"tags":[{"name":"FinanceBooking","description":"the FinanceAccount API"}],"servers":[{"url":"api.example.com"}],"paths":{"/erp/finance/booking/{id}":{"get":{"tags":["FinanceBooking"],"operationId":"getById_159","parameters":[{"name":"id","in":"path","description":"id of booking run","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/erp-finance-FinanceBookingRun"}}}}}}}},"components":{"schemas":{"erp-finance-FinanceBookingRun":{"properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"runState":{"type":"string","description":"Processing state.","enum":["PROCESSING","OPEN","COMMITTABLE","COMMITTED","REVERTED","FAILED"],"readOnly":true},"dateFrom":{"type":"string","format":"date","description":"Request date from","readOnly":true},"dateTo":{"type":"string","format":"date","description":"Request date to","readOnly":true},"files":{"type":"array","description":"export files","items":{"$ref":"#/components/schemas/erp-finance-FinanceBookingExportFile"},"readOnly":true},"persons":{"type":"array","description":"persons","items":{"$ref":"#/components/schemas/erp-finance-FinanceBookingRunPerson"},"readOnly":true},"stateSummary":{"type":"array","description":"booking cases per state","items":{"$ref":"#/components/schemas/erp-finance-FinanceBookingStateSummary"},"readOnly":true},"exportTypes":{"type":"array","description":"Request Types for this run","items":{"type":"string","description":"Request Types for this run","enum":["SALES_DOCUMENTS","PURCHASE_DOCUMENTS","FINANCE_BOOKINGS","FINANCE_MANAGEMENT","POS","PREPAYMENT"]},"readOnly":true},"bankAccountRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"salesChannelRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"financeBookingBackendRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"}}},"core-api-MetaInfo":{"description":"MetaInformations for this Object","properties":{"createdAt":{"type":"string","format":"date-time","description":"Created At Timestamp","readOnly":true},"createdFrom":{"type":"string","description":"TenantUser-Identifier of the creator","readOnly":true},"updatedAt":{"type":"string","format":"date-time","description":"Last Updated AT Timestamp","readOnly":true},"updatedFrom":{"type":"string","description":"TenantUser-Identifier of most recent updater","readOnly":true}}},"erp-finance-FinanceBookingExportFile":{"description":"export files","properties":{"shelfDocumentId":{"type":"integer","format":"int64","description":"Shelf Document ID"},"description":{"type":"string","description":"Description."},"comment":{"type":"array","description":"Note.","items":{"$ref":"#/components/schemas/erp-finance-BookingResultLineComment"}}}},"erp-finance-BookingResultLineComment":{"description":"Note.","properties":{"lineNumber":{"type":"integer","format":"int32","description":"Original comment line (starting at 0)."},"position":{"type":"integer","format":"int32","description":"Comment field in the line (starting at 0)."},"message":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"}}},"core-api-LocalizeableMessage":{"description":"localizeable message","properties":{"messageCode":{"type":"string","description":"Internal unique identifier/key for this message"},"messageParameters":{"type":"object","additionalProperties":{"type":"object","description":"list of parameters to fill a formattable message"},"description":"list of parameters to fill a formattable message"},"formattedMessage":{"type":"string","description":"formatted message (default language)"}}},"erp-finance-FinanceBookingRunPerson":{"description":"persons","properties":{"accountRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"recordType":{"type":"string","description":"record Type","enum":["DEBIT","CREDIT"]},"accountNumber":{"type":"string","description":"account number / ledger"}}},"core-api-ApiObjectReference":{"description":"Parent category.","properties":{"id":{"type":"string","description":"Identifier"},"label":{"type":"string","description":"a label","readOnly":true},"description":{"type":"string","description":"a short description","readOnly":true},"active":{"type":"boolean","description":"Active.","readOnly":true}},"required":["id"]},"erp-finance-FinanceBookingStateSummary":{"description":"booking cases per state","properties":{"state":{"type":"string","description":"Booking status.","enum":["OK","IGNORED","ERR_NO_LEDGER_ASSIGNMENT","ERR_INVALID_LEDGER_ASSIGNMENT","ERR_DOCUMENT_NOT_FOUND","ERR_CASH_JOURNAL_NOT_FOUND","ERR_OPEN_ITEM_RECORD_NOT_FOUND","ERR_CURRENCY_NOT_FOUND","ERR_EXCHANGE_RATE_NOT_FOUND","ERR_OPEN_ITEM_NOT_FOUND","ERR_BANK_TRANSACTION_NOT_FOUND","ERR_MANUAL_ENTRY_NOT_FOUND","ERR_DUNNING_NOT_FOUND","ERR_NO_ARTICLE_FOUND","ERR_NO_PERFORMANCE_COUNTRY_FOUND","ERR_NO_PERFORMANCE_LOCATION_FOUND","ERR_NO_SOURCE_COUNTRY_FOUND"]},"count":{"type":"integer","format":"int64","description":"count of booking cases"}}}}}}
```

## GET /erp/finance/booking/check/document/{id}

>

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.42.0"},"tags":[{"name":"FinanceBooking","description":"the FinanceAccount API"}],"servers":[{"url":"api.example.com"}],"paths":{"/erp/finance/booking/check/document/{id}":{"get":{"tags":["FinanceBooking"],"operationId":"simulateBookingsByDocumentId","parameters":[{"name":"id","in":"path","description":"id of document","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/erp-finance-FinanceBooking"}}}}}}}},"components":{"schemas":{"erp-finance-FinanceBooking":{"properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"recordNumber":{"type":"integer","format":"int64","description":"record number"},"records":{"type":"array","description":"produced booking records","items":{"$ref":"#/components/schemas/erp-finance-FinanceBookingRecord"}},"originatingObject":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"journalType":{"type":"string","description":"Journal type.","enum":["SALES_INVOICE","SALES_CREDIT_NOTE","PURCHASE_INVOICE","PURCHASE_CREDIT_NOTE","PAYMENT","PAYMENT_REVERSAL","PREPAYMENT_TAX","PREPAYMENT_TAX_SETTLEMENT","PREPAYMENT_DOCUMENTNUMBER_SETTLEMENT","MANUAL_JOURNAL","DUNNING","OPEN_ITEM_CLOSURE","DUNNING_CHARGE_MANUAL","DUNNING_CHARGE_MANUAL_REVERSAL","FINANCIAL_SETTLEMENT","DUNNING_REVERSAL","SALES_INVOICE_CANCELLATION","SALES_CREDIT_NOTE_CANCELLATION","COMMISSION_SETTLEMENT","COMMISSION_SETTLEMENT_CANCELLATION","NOT_RELEVANT_FOR_BUSINESS","DISCOUNT_GRANTED","DISCOUNT_RECEIVED","FEE","BANK_TRANSACTION","BANK_TRANSACTION_REVERSAL","POS_CASH_JOURNAL_OPENING","POS_CASH_JOURNAL_CLOSING","POS_CASH_JOURNAL_DEPOSIT","POS_CASH_JOURNAL_EXPENSE","POS_CASH_JOURNAL_WITHDRAWAL","POS_CASH_JOURNAL_DEPOSIT_CANCELLATION","POS_CASH_JOURNAL_EXPENSE_CANCELLATION","POS_CASH_JOURNAL_WITHDRAWAL_CANCELLATION","POS_RECEIPT","POS_RETURN_RECEIPT"]}}},"core-api-MetaInfo":{"description":"MetaInformations for this Object","properties":{"createdAt":{"type":"string","format":"date-time","description":"Created At Timestamp","readOnly":true},"createdFrom":{"type":"string","description":"TenantUser-Identifier of the creator","readOnly":true},"updatedAt":{"type":"string","format":"date-time","description":"Last Updated AT Timestamp","readOnly":true},"updatedFrom":{"type":"string","description":"TenantUser-Identifier of most recent updater","readOnly":true}}},"erp-finance-FinanceBookingRecord":{"properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"recordNumber":{"type":"integer","format":"int64","description":"Entry number."},"recordType":{"type":"string","description":"Debit and credit indicator.","enum":["DEBIT","CREDIT"]},"ledger":{"type":"string","description":"Ledger account."},"transactionKey":{"type":"string","description":"Transaction key."},"ledgerType":{"type":"string","description":"Account indicator.","enum":["PERSONAL_LEDGER","GENERAL_LEDGER"]},"amountGross":{"type":"number","description":"Gross amount."},"amountNet":{"type":"number","description":"Net amount."},"recordDate":{"type":"string","format":"date","description":"Booking date."},"performanceDate":{"type":"string","format":"date","description":"Performance date."},"documentField1":{"type":"string","description":"Document field 1."},"documentField2":{"type":"string","description":"Document field 2."},"description":{"type":"string","description":"Booking text."},"costCenter1":{"type":"string","description":"Cost center 1."},"comment":{"type":"array","description":"Note.","items":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"}},"debugInfo":{"type":"string","description":"Debug Info"},"taxState":{"type":"string","description":"Tax type.","enum":["TAX_FREE","TAX_ABLE"]},"taxPerformanceLocation":{"type":"string","description":"Place of performance.","enum":["DOMESTIC","EUROPEAN_COMMUNITY","INTERNATIONAL"]},"sourceCountryCode":{"type":"string","description":"From the country."},"performanceCountryCode":{"type":"string","description":"To the country."},"currencyCode":{"type":"string","description":"Currency."},"exchangeRate":{"type":"number","description":"Exchange rate."},"baseCurrencyCode":{"type":"string","description":"Base currency."},"baseAmountGross":{"type":"number","description":"Gross amount in base currency."},"baseAmountNet":{"type":"number","description":"Net amount in base currency."},"taxRateRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"taxIdentificationNumber":{"type":"string","description":"VAT identification number."},"paymentMethodRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"bookingState":{"type":"string","description":"Booking status.","enum":["OK","IGNORED","ERR_NO_LEDGER_ASSIGNMENT","ERR_INVALID_LEDGER_ASSIGNMENT","ERR_DOCUMENT_NOT_FOUND","ERR_CASH_JOURNAL_NOT_FOUND","ERR_OPEN_ITEM_RECORD_NOT_FOUND","ERR_CURRENCY_NOT_FOUND","ERR_EXCHANGE_RATE_NOT_FOUND","ERR_OPEN_ITEM_NOT_FOUND","ERR_BANK_TRANSACTION_NOT_FOUND","ERR_MANUAL_ENTRY_NOT_FOUND","ERR_DUNNING_NOT_FOUND","ERR_NO_ARTICLE_FOUND","ERR_NO_PERFORMANCE_COUNTRY_FOUND","ERR_NO_PERFORMANCE_LOCATION_FOUND","ERR_NO_SOURCE_COUNTRY_FOUND"]},"taxLiabilityReversedState":{"type":"string","description":"§13b state.","enum":["IGNORE","REVERSED","NOT_REVERSED"]},"sourceTaxRate":{"type":"number","description":"Tax percentage origin."},"performanceTaxRate":{"type":"number","description":"Tax percentage determination."},"accountingType":{"type":"string","description":"Journal type.","enum":["SALES_INVOICE","SALES_CREDIT_NOTE","PURCHASE_INVOICE","PURCHASE_CREDIT_NOTE","PAYMENT","PAYMENT_REVERSAL","PREPAYMENT_TAX","PREPAYMENT_TAX_SETTLEMENT","PREPAYMENT_DOCUMENTNUMBER_SETTLEMENT","MANUAL_JOURNAL","DUNNING","OPEN_ITEM_CLOSURE","DUNNING_CHARGE_MANUAL","DUNNING_CHARGE_MANUAL_REVERSAL","FINANCIAL_SETTLEMENT","DUNNING_REVERSAL","SALES_INVOICE_CANCELLATION","SALES_CREDIT_NOTE_CANCELLATION","COMMISSION_SETTLEMENT","COMMISSION_SETTLEMENT_CANCELLATION","NOT_RELEVANT_FOR_BUSINESS","DISCOUNT_GRANTED","DISCOUNT_RECEIVED","FEE","BANK_TRANSACTION","BANK_TRANSACTION_REVERSAL","POS_CASH_JOURNAL_OPENING","POS_CASH_JOURNAL_CLOSING","POS_CASH_JOURNAL_DEPOSIT","POS_CASH_JOURNAL_EXPENSE","POS_CASH_JOURNAL_WITHDRAWAL","POS_CASH_JOURNAL_DEPOSIT_CANCELLATION","POS_CASH_JOURNAL_EXPENSE_CANCELLATION","POS_CASH_JOURNAL_WITHDRAWAL_CANCELLATION","POS_RECEIPT","POS_RETURN_RECEIPT"]},"accountingRefId":{"type":"integer","format":"int64","description":"Booking reference."},"accountingRef1":{"$ref":"#/components/schemas/erp-finance-FinanceBookingReference"},"accountingRef2":{"$ref":"#/components/schemas/erp-finance-FinanceBookingReference"},"accountingRef3":{"$ref":"#/components/schemas/erp-finance-FinanceBookingReference"}}},"core-api-LocalizeableMessage":{"description":"localizeable message","properties":{"messageCode":{"type":"string","description":"Internal unique identifier/key for this message"},"messageParameters":{"type":"object","additionalProperties":{"type":"object","description":"list of parameters to fill a formattable message"},"description":"list of parameters to fill a formattable message"},"formattedMessage":{"type":"string","description":"formatted message (default language)"}}},"core-api-ApiObjectReference":{"description":"Parent category.","properties":{"id":{"type":"string","description":"Identifier"},"label":{"type":"string","description":"a label","readOnly":true},"description":{"type":"string","description":"a short description","readOnly":true},"active":{"type":"boolean","description":"Active.","readOnly":true}},"required":["id"]},"erp-finance-FinanceBookingReference":{"description":"Finance booking references.","properties":{"id":{"type":"integer","format":"int64","description":"Reference identifier."},"type":{"type":"string","description":"Reference type.","enum":["DOCUMENT","DOCUMENT_LINE","DOCUMENT_TAX","OPEN_ITEM","OPEN_ITEM_RECORD","TAX_RATE","DUNNING","DUNNING_POSITION","BANK_TRANSACTION","MANUAL_ENTRY"]},"label":{"type":"string","description":"Reference label."}}}}}}
```

## GET /erp/finance/booking/check

>

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.42.0"},"tags":[{"name":"FinanceBooking","description":"the FinanceAccount API"}],"servers":[{"url":"api.example.com"}],"paths":{"/erp/finance/booking/check":{"get":{"tags":["FinanceBooking"],"operationId":"check_1","responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"boolean"}}}}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://developer.vario-software.de/api-reference/finance-booking.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
